## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 5;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 27
%bcond check 1
%global debug_package %{nil}

%global crate clearscreen

Name:           rust-clearscreen
Version:        3.0.0
Release:        %autorelease
Summary:        Cross-platform terminal screen clearing

License:        Apache-2.0 OR MIT
URL:            https://crates.io/crates/clearscreen
Source:         %{crates_source}
# Automatically generated patch to strip dependencies and normalize metadata
Patch:          clearscreen-fix-metadata-auto.diff
# Manually created patch for downstream crate metadata changes
# * Update terminfo requirement from 0.8.0 to 0.9.0:
#   https://github.com/watchexec/clearscreen/commit/c1482c2813b05d1a549590e4742911c6c11cf1b8
# * allow which 7.0.0: https://github.com/watchexec/clearscreen/pull/25
Patch:          clearscreen-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Cross-platform terminal screen clearing.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/COPYRIGHT
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%doc %{crate_instdir}/TERMINALS.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
# * skip tests that only work in real terminals
%{cargo_test -- -- --exact %{shrink:
    --skip terminfo_screen
    --skip terminfo_scrollback
    --skip tput_clear
    --skip tput_reset
}}
%endif

%changelog
## START: Generated by rpmautospec
* Sun Jan 19 2025 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Thu Dec 26 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 3.0.0-4
- Update terminfo requirement from 0.8.0 to 0.9.0

* Thu Dec 19 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 3.0.0-3
- Allow which 7.0.0
- Move spec-file customizations into rust2rpm.toml

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sat Apr 13 2024 Fabio Valentini <decathorpe@gmail.com> - 3.0.0-1
- Update to version 3.0.0; Fixes RHBZ#2274436

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Nov 23 2023 Fabio Valentini <decathorpe@gmail.com> - 2.0.1-1
- Initial import (#2247724)
## END: Generated by rpmautospec
